Skip to navigation

Get a location by ID

Get a location by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired
ID of location to get

Response

OK
archiveRecordobject or nullOptional
availableCapacityinteger or nullOptionalRead-only

The number of available positions in this location. Null if totalCapacity is not set.

barcodestringOptional
createdAtstringOptional
creatorobjectOptional
fieldsmap from strings to objectsOptional
idstringOptional
modifiedAtstringOptional
namestringOptional
occupiedCapacityinteger or nullOptionalRead-only

The number of plates, boxes, and containers currently in this location. Null if totalCapacity is not set.

parentStorageIdstring or nullOptional
schemaobject or nullOptional
totalCapacityinteger or nullOptionalRead-only

The total capacity of this location (i.e. how many plates, boxes, and containers it can store). If null, capacity is not limited.

webURLstringOptional

Errors

400
Bad Request Error
404
Not Found Error